Get Custom Field Info
Return information about a particular custom field (user-defined + extra) on a particular table
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
- Authorization URL
- https://online.superoffice.com/login/common/oauth/authorize
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Path Parameters
The name of table that owns the custom fields. e.g. 'contact', 'person', 'project' etc.
The name of the field: prog:id or field name. e.g. 'SuperOffice:21' or 'x_foobar'
Response
OK
Abstract basic information about database fields. May be custom or user-defined fields. The information can be used to build a user interface. Carrier object for FieldInfoBase. Services for the FieldInfoBase Carrier is available from the UserDefinedFieldInfo Agent.
What sort of data does this field contain. 1 = int, 2 = short text, ...
Unknown, Integer, ShortText, LongText, Date, Blob, Checkbox, MdoList, Decimal, DateTime, Time, TimeSpan, RelationTo, Attachment, DynamicLink, ListText Database name or prog-id: 'x_foobar' or 'SuperOffice:2'.
Label for field. May be multi-lang string encoded.
Optional tooltip text for this field
Short name to be used in Archive headings and on page 1. If blank, the fieldLabel will be used everywhere.
Hide the label if 1
Hide the field from the UI. Only allow API access.
Is this field indexed? 0 if no, index no. if yes
0 = no, 1 = yes (field must be filled out)
0 = read/write, 1 = readonly (don't combine with mandatory 8-) )
Should this field be shown to external users via customer center?
Flag indicating that this field is chosen as DisplayField for a table it belongs
Tab order, ranking within the custom fields.
Template variable name: 'cs01', 'cl02' etc. Null for extra fields.